Bug 1651013 - Job name displayed with html tags
Summary: Job name displayed with html tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Adam Ruzicka
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 17:49 UTC by Nikhil Kathole
Modified: 2019-05-14 12:39 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.6.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:54 UTC


Attachments (Terms of Use)
screenshot of UI (58.81 KB, image/png)
2018-12-26 09:54 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:02 UTC
Gitlab https://gitlab.sat.engineering.redhat.com/satellite6/foreman/merge_requests/379 None None None 2018-12-18 09:45:12 UTC
Foreman Issue Tracker 25499 None None None 2018-11-19 08:54:05 UTC
Foreman Issue Tracker 25503 None None None 2018-12-12 10:02:47 UTC

Description Nikhil Kathole 2018-11-18 17:49:34 UTC
Description of problem:

Job description page showed job name with html tags (see attachment).

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 4

How reproducible: always


Steps to Reproduce:
1. Run any remote execution/ansible job
2. Navigate to Monitor -> Jobs
3. Select any job

Actual results: Job name with html tags. (see attachment)
     Jobs <span>Run Ansible roles</span>


Expected results: Job name without tags.


Additional info:

Comment 4 Adam Ruzicka 2018-11-19 08:54:04 UTC
Created redmine issue http://projects.theforeman.org/issues/25499 from this bug

Comment 5 pm-sat@redhat.com 2018-12-06 21:11:13 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-12-06 21:11:15 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 7 pm-sat@redhat.com 2018-12-12 11:09:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25503 has been resolved.

Comment 11 Nikhil Kathole 2018-12-26 09:54:28 UTC
VERIFIED

Version tested:
satellite 6.5 snap 9

No html tags with job name.

Comment 12 Nikhil Kathole 2018-12-26 09:54:51 UTC
Created attachment 1516789 [details]
screenshot of UI

Comment 15 errata-xmlrpc 2019-05-14 12:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.